# Network connected

A decision block that checks if a network is connected, the network used for internet connections.

If the proceed option is set to Immediately, then check if any of the networks are currently connected, or not, without pausing the fiber. If set to When changed, then the fiber will pause until any of the networks has connected, or got disconnected.

Note! This block deprecated, use the Data network default block instead.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Network types — network types to consider.

## Output variables

- Network type — variable to assign the connected network type.